- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CBaseSplitterFilter Class Reference

Inheritance diagram for CBaseSplitterFilter:

List of all members.

## Public Member Functions
| CBaseSplitterFilter (LPCTSTR pName, LPUNKNOWN pUnk, HRESULT *phr, const CLSID &clsid)
virtual | ~CBaseSplitterFilter ()
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
bool | IsAnyPinDrying ()
HRESULT | BreakConnect (PIN_DIRECTION dir, CBasePin *pPin)
HRESULT | CompleteConnect (PIN_DIRECTION dir, CBasePin *pPin)
int | GetPinCount ()
CBasePin * | GetPin (int n)
STDMETHODIMP | Stop ()
STDMETHODIMP | Pause ()
STDMETHODIMP | Run (REFERENCE_TIME tStart)
STDMETHODIMP | Load (LPCOLESTR pszFileName, const AM_MEDIA_TYPE *pmt)
STDMETHODIMP | GetCurFile (LPOLESTR *ppszFileName, AM_MEDIA_TYPE *pmt)
STDMETHODIMP | GetCapabilities (DWORD *pCapabilities)
STDMETHODIMP | CheckCapabilities (DWORD *pCapabilities)
STDMETHODIMP | IsFormatSupported (const GUID *pFormat)
STDMETHODIMP | QueryPreferredFormat (GUID *pFormat)
STDMETHODIMP | GetTimeFormat (GUID *pFormat)
STDMETHODIMP | IsUsingTimeFormat (const GUID *pFormat)
STDMETHODIMP | SetTimeFormat (const GUID *pFormat)
STDMETHODIMP | GetDuration (LONGLONG *pDuration)
STDMETHODIMP | GetStopPosition (LONGLONG *pStop)
STDMETHODIMP | GetCurrentPosition (LONGLONG *pCurrent)
STDMETHODIMP | ConvertTimeFormat (LONGLONG *pTarget, const GUID *pTargetFormat, LONGLONG Source, const GUID *pSourceFormat)
STDMETHODIMP | SetPositions (LONGLONG *pCurrent, DWORD dwCurrentFlags, LONGLONG *pStop, DWORD dwStopFlags)
STDMETHODIMP | GetPositions (LONGLONG *pCurrent, LONGLONG *pStop)
STDMETHODIMP | GetAvailable (LONGLONG *pEarliest, LONGLONG *pLatest)
STDMETHODIMP | SetRate (double dRate)
STDMETHODIMP | GetRate (double *pdRate)
STDMETHODIMP | GetPreroll (LONGLONG *pllPreroll)
STDMETHODIMP | QueryProgress (LONGLONG *pllTotal, LONGLONG *pllCurrent)
STDMETHODIMP | AbortOperation ()
STDMETHODIMP | GetTypeInfoCount (UINT *pctinfo)
STDMETHODIMP | GetTypeInfo (UINT itinfo, LCID lcid, ITypeInfo **pptinfo)
STDMETHODIMP | GetIDsOfNames (REFIID riid, OLECHAR **rgszNames, UINT cNames, LCID lcid, DISPID *rgdispid)
STDMETHODIMP | Invoke (DISPID dispidMember, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pdispparams, VARIANT *pvarResult, EXCEPINFO *pexcepinfo, UINT *puArgErr)
STDMETHODIMP | get_AuthorName (BSTR *pbstrAuthorName)
STDMETHODIMP | get_Title (BSTR *pbstrTitle)
STDMETHODIMP | get_Rating (BSTR *pbstrRating)
STDMETHODIMP | get_Description (BSTR *pbstrDescription)
STDMETHODIMP | get_Copyright (BSTR *pbstrCopyright)
STDMETHODIMP | get_BaseURL (BSTR *pbstrBaseURL)
STDMETHODIMP | get_LogoURL (BSTR *pbstrLogoURL)
STDMETHODIMP | get_LogoIconURL (BSTR *pbstrLogoURL)
STDMETHODIMP | get_WatermarkURL (BSTR *pbstrWatermarkURL)
STDMETHODIMP | get_MoreInfoURL (BSTR *pbstrMoreInfoURL)
STDMETHODIMP | get_MoreInfoBannerImage (BSTR *pbstrMoreInfoBannerImage)
STDMETHODIMP | get_MoreInfoBannerURL (BSTR *pbstrMoreInfoBannerURL)
STDMETHODIMP | get_MoreInfoText (BSTR *pbstrMoreInfoText)
STDMETHODIMP | get_ExSeekCapabilities (long *pExCapabilities)
STDMETHODIMP | get_MarkerCount (long *pMarkerCount)
STDMETHODIMP | get_CurrentMarker (long *pCurrentMarker)
STDMETHODIMP | GetMarkerTime (long MarkerNum, double *pMarkerTime)
STDMETHODIMP | GetMarkerName (long MarkerNum, BSTR *pbstrMarkerName)
STDMETHODIMP | put_PlaybackSpeed (double Speed)
STDMETHODIMP | get_PlaybackSpeed (double *pSpeed)
STDMETHODIMP | GetStatus (int i, int &samples, int &size)
## Public Attributes
| DECLARE_IUNKNOWN
REFERENCE_TIME * | pKFs
REFERENCE_TIME UINT & | nKFs
## Protected Types
enum |
## Protected Member Functions
CBaseSplitterOutputPin * | GetOutputPin (DWORD TrackNum)
DWORD | GetOutputTrackNum (CBaseSplitterOutputPin *pPin)
HRESULT | AddOutputPin (DWORD TrackNum, CAutoPtr< CBaseSplitterOutputPin > pPin)
HRESULT | RenameOutputPin (DWORD TrackNumSrc, DWORD TrackNumDst, const AM_MEDIA_TYPE *pmt)
virtual HRESULT | DeleteOutputs ()
void | DeliverBeginFlush ()
void | DeliverEndFlush ()
HRESULT | DeliverPacket (CAutoPtr< Packet > p)
DWORD | ThreadProc ()
virtual HRESULT | SetPositionsInternal (void *id, LONGLONG *pCurrent, DWORD dwCurrentFlags, LONGLONG *pStop, DWORD dwStopFlags)
## Protected Attributes
CStringW | m_fn
CAutoPtr< CBaseSplitterInputPin > | m_pInput
CAutoPtrList< CBaseSplitterOutputPin > | m_pOutputs
LONGLONG | m_nOpenProgress
bool | m_fAbort
REFERENCE_TIME | m_rtDuration
REFERENCE_TIME | m_rtStart
REFERENCE_TIME | m_rtStop
REFERENCE_TIME | m_rtCurrent
REFERENCE_TIME | m_rtNewStart
REFERENCE_TIME | m_rtNewStop
double | m_dRate
CList< UINT64 > | m_bDiscontinuitySent
CList< CBaseSplitterOutputPin * > | m_pActivePins
CAMEvent | m_eEndFlush
bool | m_fFlushing
DWORD | m_priority
CFontInstaller | m_fontinst
## Friends
class | CBaseSplitterOutputPin

## Detailed Description

Definition at line 203 of file BaseSplitter.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/basesplitter/BaseSplitter.h
- C:/guliverkli/src/filters/parser/basesplitter/BaseSplitter.cpp